<ion-header no-border>
  <ion-toolbar>
    <ion-searchbar cancelButtonText="Custom Cancel"
                   placeholder="pesquisar"
                   (keydown)="searchByTitulo($event)">
    </ion-searchbar>
  </ion-toolbar>
</ion-header>
<ion-content>
  <div *ngIf="roteiros?.length < 1">
    <ion-img src="assets/img/sem-roteiro.svg"></ion-img>
    <ion-item lines="none"
              class="sem-roteiro">
    </ion-item>
  </div>
  <ion-grid>
    <ion-row wrap>
      <ion-col>
        <div *ngIf="roteiro">
          <img src="assets/img/logo.png">
        </div>
        <div>
        <ion-card  *ngFor="let roteiro of roteiros"
                    [routerLink]="['/atividade-list', roteiro.id]">
            <ion-item lines='none'>
              <ion-card-title>{{roteiro.titulo}}</ion-card-title>
            </ion-item>
            <ion-card-header>
            </ion-card-header>
            <ion-card-content>
              {{roteiro.descricao}}
            </ion-card-content>
          </ion-card>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-fab vertical="bottom"
           horizontal="end"
           slot="fixed">
    <ion-fab-button routerLink="/roteiro-edit">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>